Section = {};

Section.appendConfig = function(tConfig, tKey){
    var tSectionStyle = this[tKey];
    if (tSectionStyle){
        tConfig.backgroundcss = tSectionStyle.backgroundcss;
        tConfig.topnewscss = tSectionStyle.topnewscss;
        tConfig.colorcss = tSectionStyle.colorcss;
        tConfig.flagcls = tSectionStyle.flagcls;
        tConfig.flagpressedcls = tSectionStyle.flagpressedcls;
        tConfig.flagsizecls = tSectionStyle.flagsizecls;
    }    
	else {
		tConfig.flagsizecls = "category-size";
	}
};

Section["rt_topnews"] = {
        backgroundcss: "topstoriesBackground",
        topnewscss: "topstoriesTopnews",
        colorcss: "topstoriesColor",
        flagcls: "latestnews-TopStories-icon",
        flagpressedcls: "latestnews-TopStories-icon-pressed",
        flagsizecls: "category-size"    
};

Section["rt_world"] = {
        backgroundcss: "worldBackground",
        topnewscss: "worldTopnews",
        colorcss: "worldColor",
        flagcls: "latestnews-World-icon",
        flagpressedcls: "latestnews-World-icon-pressed",
        flagsizecls: "category-size"  
};

Section["rt_nation"] = {
        backgroundcss: "nationBackground",
        topnewscss: "nationTopnews",
        colorcss: "nationColor",
        flagcls: "latestnews-Nation-icon",
        flagpressedcls: "latestnews-Nation-icon-pressed",
        flagsizecls: "category-size"
};

Section["rt_business"] = {
        backgroundcss: "businessBackground",
        topnewscss: "businessTopnews",
        colorcss: "businessColor",
        flagcls: "latestnews-Business-icon",
        flagpressedcls: "latestnews-Business-icon-pressed",
        flagsizecls: "category-size"
};

Section["rt_technology"] = {
        backgroundcss: "techBackground",
        topnewscss: "techTopnews",
        colorcss: "techColor",
        flagcls: "latestnews-Technology-icon",
        flagpressedcls: "latestnews-Technology-icon-pressed",
        flagsizecls: "category-size"
};

Section["rt_entertainment"] = {
        backgroundcss: "entertainmentBackground",
        topnewscss: "entertainmentTopnews",
        colorcss: "entertainmentColor",
        flagcls: "latestnews-Entertainment-icon",
        flagpressedcls: "latestnews-Entertainment-icon-pressed",
        flagsizecls: "category-size"
};

Section["rt_sports"] = {
        backgroundcss: "sportsBackground",
        topnewscss: "sportsTopnews",
        colorcss: "sportsColor",
        flagcls: "latestnews-Sports-icon",
        flagpressedcls: "latestnews-Sports-icon-pressed",
        flagsizecls: "category-size"
};

Section["rt_health"] = {
        backgroundcss: "healthBackground",
        topnewscss: "healthTopnews",
        colorcss: "healthColor"
};

Section["buzz"] = {
        backgroundcss: "buzzBackground",
        topnewscss: "buzzTopnews",
        colorcss: "buzzColor"
};

Section["fun"] = {
        backgroundcss: "funBackground",
        topnewscss: "funTopnews",
        colorcss: "funColor",
        flagcls: "buzz-Fun-icon",
        flagpressedcls: "buzz-Fun-icon-pressed",
        flagsizecls: "category-size"
};

Section["cute"] = {
        backgroundcss: "cuteBackground",
        topnewscss: "cuteTopnews",
        colorcss: "cuteColor",
        flagcls: "buzz-Cute-icon",
        flagpressedcls: "buzz-Cute-icon-pressed",
        flagsizecls: "category-size"
};

Section["gossip"] = {
        backgroundcss: "gossipBackground",
        topnewscss: "gossipTopnews",
        colorcss: "gossipColor",
        flagcls: "buzz-Gossip-icon",
        flagpressedcls: "buzz-Gossip-icon-pressed",
        flagsizecls: "category-size"
};

Section["xpicks"] = {
        backgroundcss: "xpicksBackground",
        topnewscss: "xpicksTopnews",
        colorcss: "xpicksColor"
};

Section["business"] = {
        backgroundcss: "xbizBackground",
        topnewscss: "xbizTopnews",
        colorcss: "xbizColor",
        flagcls: "picks-Business-icon",
        flagpressedcls: "picks-Business-icon-pressed",
        flagsizecls: "category-size"
};

Section["entertainment"] = {
        backgroundcss: "xentertainmentBackground",
        topnewscss: "xentertainmentTopnews",
        colorcss: "xentertainmentColor",
        flagcls: "picks-Entertainment-icon",
        flagpressedcls: "picks-Entertainment-icon-pressed",
        flagsizecls: "category-size"
};

Section["living"] = {
        backgroundcss: "xlivingBackground",
        topnewscss: "xlivingTopnews",
        colorcss: "xlivingColor",
        flagcls: "picks-Living-icon",
        flagpressedcls: "picks-Living-icon-pressed",
        flagsizecls: "category-size"
};

Section["news"] = {
        backgroundcss: "xnewsBackground",
        topnewscss: "xnewsTopnews",
        colorcss: "xnewsColor",
        flagcls: "picks-News-icon",
        flagpressedcls: "picks-News-icon-pressed",
        flagsizecls: "category-size"
};

Section["guru"] = {
        backgroundcss: "xguruBackground",
        topnewscss: "xguruTopnews",
        colorcss: "xguruColor"
};

Section["sports"] = {
        backgroundcss: "xsportsBackground",
        topnewscss: "xsportsTopnews",
        colorcss: "xsportsColor",
        flagcls: "picks-Sports-icon",
        flagpressedcls: "picks-Sports-icon-pressed",
        flagsizecls: "category-size"
};

Section["style"] = {
        backgroundcss: "xstyleBackground",
        topnewscss: "xstyleTopnews",
        colorcss: "xstyleColor",
        flagcls: "picks-Style-icon",
        flagpressedcls: "picks-Style-icon-pressed",
        flagsizecls: "category-size"
};

Section["technology"] = {
        backgroundcss: "xtechBackground",
        topnewscss: "xtechTopnews",
        colorcss: "xtechColor",
        flagcls: "picks-Technology-icon",
        flagpressedcls: "picks-Technology-icon-pressed",
        flagsizecls: "category-size"
};

Section["travel"] = {
        backgroundcss: "xtravelBackground",
        topnewscss: "xtravelTopnews",
        colorcss: "xtravelColor",
        flagcls: "picks-Travel-icon",
        flagpressedcls: "picks-Travel-icon-pressed",
        flagsizecls: "category-size"
};

Section["video"] = {
        backgroundcss: "xvideoBackground",
        topnewscss: "xvideoTopnews",
        colorcss: "xvideoColor"
};

Section["saved"] = {
        backgroundcss: "savedBackground",
        topnewscss: "savedTopnews",
        colorcss: "savedColor"
};